Summary:	SIP test tool / traffic generator
Name:		sipp
Version:	3.1
Release:	2%{?dist}
License:	GPLv2+
Group:		Applications/Communications
URL:		http://sipp.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}.%{version}.src.tar.gz
Patch0:		sipp--Makefile-fix-paths.diff
# https://sourceforge.net/tracker/index.php?func=detail&aid=1982103&group_id=104305&atid=637566
Patch1:		sipp--INT_MAX_headers_for_gcc43.diff
# https://sourceforge.net/tracker/index.php?func=detail&aid=2011751&group_id=104305&atid=637566
Patch2:		sipp--CVE-2008-2085-fix.diff
BuildRequires:	ncurses-devel
%if 0%{?el4}
BuildRequires:	libpcap
%else
BuildRequires:	libpcap-devel
%endif
BuildRequires:	openssl-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
SIPp is a free Open Source test tool / traffic generator for the SIP protocol.
It includes a few basic SipStone user agent scenarios (UAC and UAS) and
establishes and releases multiple calls with the INVITE and BYE methods. It
can also reads custom XML scenario files describing from very simple to
complex call flows. It features the dynamic display of statistics about
running tests (call rate, round trip delay, and message statistics), periodic
CSV statistics dumps, TCP and UDP over multiple sockets or multiplexed with
retransmission management and dynamically adjustable call rates.

%prep
%setup -qn %{name}.svn
%patch0
%patch1
%patch2 -p0 -b .cve20082085

%build
DEBUG_FLAGS="%{optflags}" %{__make} %{?_smp_mflags} pcapplay_ossl

%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 755 sipp $RPM_BUILD_ROOT%{_bindir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/pcap
install -p -m 644 pcap/*.pcap $RPM_BUILD_ROOT%{_datadir}/%{name}/pcap

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE.txt MEDIA.txt README.txt
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog
* Sun Jul  6 2008 Peter Lemenkov <lemenkov@gmail.com> 3.1-2
- CVE-2008-2085

* Wed Apr 30 2008 Peter Lemenkov <lemenkov@gmail.com> 3.1-1
- Ver 3.1

* Thu Feb 21 2008  Peter Lemenkov <lemenkov@gmail.com> 3.0-3
- Fixed build with GCC 4.3
- No need to remove .svn leftover

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.0-2
- Autorebuild for GCC 4.3

* Thu Jan 10 2008 Peter Lemenkov <lemenkov@gmail.com> 3.0-1
- Version 3.0
- Updated license field
- Preserved timestamp for *.pcap files

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 2.0.1-5
- Rebuild for deps

* Fri Sep  7 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0.1-4
- Removed .svn entries (close BZ #282431)
- Added macro for builds for EL-4

* Wed Jul 25 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0.1-3.2
- finally added correct BR for EL-4

* Wed Jul 25 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0.1-3.1
- rebuild

* Wed Jul 25 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0.1-3
- Added tcpdump instead of libpcap as BR for EL-4

* Sun Jun 10 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0.1-2
- rebuild

* Wed Jun  6 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0.1-1
- Version 2.0.1

* Sat May 12 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0-1
- Version 2.0

* Wed Jan 17 2007 Peter Lemenkov <lemenkov@gmail.com> 1.1-0.rc8
- small cleanup

* Thu Dec 21 2006 Peter Lemenkov <lemenkov@gmail.com> 1.1-0.rc8
- Version 1.1rc8

* Wed Nov 22 2006 Peter Lemenkov <lemenkov@gmail.com> 1.1rc6-0
- Initial build for FE

